Bug 1024348 - GET on /metric/<ID>/data/raw does not return data when endTime and startTime are same
GET on /metric/<ID>/data/raw does not return data when endTime and startTime ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: REST (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity low
: ER05
: JON 3.2.0
Assigned To: Heiko W. Rupp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 09:14 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-10-29 09:14:51 EDT
Description of problem:

When pushing raw data to our rest api using PUT, server returns 'location' response header, which leads to something like:

rest/metric/data/10008/raw?startTime=1383051757650&endTime=1383051757650

but, when you GET on this URL, server returns no data


Version-Release number of selected component (if applicable):
JON 3.2.ER4

How reproducible: always


Steps to Reproduce:
1. PUT raw data to any metric
2. follow 'location' header returned by server

Actual results: server returns no results on target (location header) URL

but .. if you change such URL to startTime=1383051757650&endTime=1383051757651 you get expected data (1 result just created by PUT)

Expected results: on PUT request, server should return either fixed location header, or GETting data with same startTime and endTime should return data with given timestamp


Additional info:

There is a test hitting this bug:

clone it from https://github.com/RedHatQE/jon-tests/tree/master/rest-python

run it by: python run.py --group=putmetric
Comment 1 Mike Foley 2013-10-29 13:11:20 EDT
as this is PRD requirement RST-001a , making it block JON 3.2 GA 

there is a workaround documented, but dev should probably look at this for JON 3.2 as REST API is now full support and out of tech preview
Comment 2 Heiko W. Rupp 2013-10-29 16:28:50 EDT
master cde73749
release branch 038fc8ede73
Comment 3 Simeon Pinder 2013-11-06 21:17:58 EST
Moving to ON_QA for test with new brew build.
Comment 4 Libor Zoubek 2013-11-07 06:31:25 EST
verified on JON 3.2.ER5

Note You need to log in before you can comment on or make changes to this bug.